Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.repository.beans
Class RepositoryObjectPermissionBean

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.repository.beans.RepositoryObjectPermissionBean

    public class RepositoryObjectPermissionBean

extends java.lang.Object

Version:
  $Id: RepositoryObjectPermissionBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static java.lang.String` | `RECIPIENT_TYPE_ROLE`
`static java.lang.String` | `RECIPIENT_TYPE_USER`

Constructor Summary
`RepositoryObjectPermissionBean()`

Method Summary
`int` | `getPermissionMask()`
`java.lang.String` | `getRecipient()`
`java.lang.String` | `getRecipientType()`
`void` | `setPermissionMask(int permissionMask)`
`void` | `setRecipient(java.lang.String recipient)`
`void` | `setRecipientType(java.lang.String recipientType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RECIPIENT_TYPE_ROLE

    public static final java.lang.String RECIPIENT_TYPE_ROLE

See Also:
  Constant Field Values

### RECIPIENT_TYPE_USER

    public static final java.lang.String RECIPIENT_TYPE_USER

See Also:
  Constant Field Values

Constructor Detail

### RepositoryObjectPermissionBean

    public RepositoryObjectPermissionBean()

Method Detail

### getPermissionMask

    public int getPermissionMask()

### setPermissionMask

    public void setPermissionMask(int permissionMask)

### getRecipient

    public java.lang.String getRecipient()

### setRecipient

    public void setRecipient(java.lang.String recipient)

### getRecipientType

    public java.lang.String getRecipientType()

### setRecipientType

    public void setRecipientType(java.lang.String recipientType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.